Bug 533645 - KMS:RS690:X1200 Screen corruption
Summary: KMS:RS690:X1200 Screen corruption
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 15
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_IGP600/MiI
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-08 03:47 UTC by James Hubbard
Modified: 2018-04-11 14:31 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 20:13:31 UTC
Type: ---


Attachments (Terms of Use)
This is the top of the screen from a screen capture. Resultion was orig 1366x768. Notice the corrupted panel (80.83 KB, image/png)
2009-11-08 03:47 UTC, James Hubbard
no flags Details
Xorg.0.log from screen corruption and X crash. (40.41 KB, text/plain)
2009-11-10 19:14 UTC, James Hubbard
no flags Details
Screen shot of corruption. (600.85 KB, image/png)
2009-11-10 19:16 UTC, James Hubbard
no flags Details
Dmesg output (34.67 KB, text/plain)
2009-11-12 22:42 UTC, James Hubbard
no flags Details
Info - Gateway LT3103u netbook w/RS690M (X1200 series) (32.53 KB, application/x-gzip)
2011-03-20 22:56 UTC, Bryan J Smith
no flags Details
F15 Screen Corruption on website. (453.29 KB, image/png)
2011-06-13 03:16 UTC, James Hubbard
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 657607 None None None Never

Internal Links: 657607

Description James Hubbard 2009-11-08 03:47:02 UTC
Created attachment 367998 [details]
This is the top of the screen from a screen capture.  Resultion was orig 1366x768.  Notice the corrupted panel 

Description of problem:
When visiting websites screen will become corrupted. http://cnn.com will cause it. 

I don't get this when I boot with nomodeset.  However, when visiting http://www.newegg.com, X will crash and return to gdm login screen. 

Version-Release number of selected component (if applicable):

Latest updates as of 22:42 EST. 
 
How reproducible:
Always

Steps to Reproduce:
1.Boot
2. Login
3. Start firefox and open http://www.cnn.com with flash enabled. Don't know what happens if flash is disabled. The problem with nomodeset and newegg occurs even if flash is not installed.
  
Actual results:
Image will be attached that shows the problem. 

Expected results:
no screen corruption

Additional info:
Hardware profile
http://www.smolts.org/client/show/pub_e13b74b9-d72c-4a3e-8799-51a71354ad24

Comment 1 Adam Williamson 2009-11-08 07:09:33 UTC
so it's not corrupted unless you view a certain website?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 James Hubbard 2009-11-08 14:13:28 UTC
Actually it was getting corrupted frequently while surfing the net.  I didn't try any other applications.  I do not have desktop effects enabled either.  

I went back to using nomodeset.

Comment 3 Adam Williamson 2009-11-09 00:58:06 UTC
can we get /var/log/Xorg.0.log and /var/log/messages from a session where you reproduce the problem? Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 James Hubbard 2009-11-10 19:12:42 UTC
The only message from dmesg  that was useful is the following
Unpin not necessary for f394da00 !

This happened after X crashed.  

I'm attaching another screen shot as well as the Xorg.0.log.  The Xorg.0.log doesn't look like it has much information that is useful.

Comment 5 James Hubbard 2009-11-10 19:14:39 UTC
Created attachment 368463 [details]
Xorg.0.log from screen corruption and X crash.

Xorg log information. From Xorg crash and screeen corruption.

Comment 6 James Hubbard 2009-11-10 19:16:24 UTC
Created attachment 368464 [details]
Screen shot of corruption.

Another example of video corrpution.

Comment 7 James Hubbard 2009-11-10 19:19:25 UTC
Disregard the part about X crashing.  It didn't.  I forgot that I had left the dialog for closing X up.  It probably exited due to that.  

This machine is unusable without nomodeset due to the frequent screen corruption. With nomodeset it is almost as usuable due to not being able to use various websites and random crashes. I filed a bug for the nomodeset crashes.

Comment 8 Jérôme Glisse 2009-11-12 18:44:29 UTC
Please attach full dmesg, thanks.

Comment 9 James Hubbard 2009-11-12 22:42:09 UTC
Created attachment 369339 [details]
Dmesg output

Booted without the nomodeset option.  Enabled desktop effects for a moment, so there is a crash related to ICE.

Comment 10 Jérôme Glisse 2010-03-12 14:42:53 UTC
I can't reproduce this with RS690, browsing website you mentioned without flash thought, do you still have this issue with an up to date fedora 12 and kernel modesetting enabled ?

Comment 11 James Hubbard 2010-03-28 20:02:42 UTC
Yes.  I hadn't triggered it on a webpage, but I triggered it by viewing the pdf of the latest amqp spec (v1.0 r2).  I was using evince.

Comment 12 James Hubbard 2010-05-02 23:57:18 UTC
I was able to trigger this using Fedora 13 Beta with all of the latest updates as of 2010 May 02.  I was using Firefox. 
Reproduce:
https://maps.tva.com/
Click the map.
The screen will become corrupted and a new window will open with a large version of the river system map.  

I can log out and log back in.  The corruption is fixed. 

Updated profile:
http://www.smolts.org/client/show/pub_efe3df8e-c410-4ae1-974b-4f8956e3a79e

Comment 13 James Hubbard 2010-05-13 02:01:16 UTC
I'm able to trigger this bug pretty regularly under F13.  I've noticed that if I switch user instead of loggin out that the other user doesn't have any screen corruption.  However, when I log out the other user and switch back to my regular login that the corrupted screen still exists.

Comment 14 James Hubbard 2010-08-28 01:59:36 UTC
I was able to trigger this under F14 Alpha.  I'm fully updated as of Fri Aug 27 2010 21:30 EST.  To trigger, visit the Adobe website.  I can't remember if it happened immediately or if clicked get flash.  I don't have flash installed currently.

Comment 15 Matěj Cepl 2010-09-05 09:51:18 UTC
changing version per comment 14

Comment 16 Justin Richards 2010-11-07 17:53:19 UTC
Confirmed on Fedora 14 Final, updated as of 11/7/10 11:50 AM CST

viewing some websites, or using OpenGL based applications triggers this, nomodeset no longer works as a workaround, as X does not start.

Comment 17 Bryan J Smith 2011-03-20 22:49:20 UTC
- WORKAROUND (POOR 2D PERFORMANCE):  

Disabling DRM [1] solves the issue, but even just the 2D performance of the X1200 series becomes absolutely poor.

- POSSIBLE UPSTREAM (?) REGRESSION:  

I personally saw this issue with my Gateway LT3103u [2] in Fedora 12 and now again after an upgrade to 14, currently kernel 2.6.35.11-83.fc14.  Apparently I am not alone -- e.g., bz#657607

And apparently it was _solved_ in Fedora 13, the last kernel I ran was kernel-2.6.34.7-66.fc13 and had no issues.  I would inspect the code to ensure there was not a regression upstream.

- NO OTHER CUSTOMER OPTION:  

Customers do not have the option of running the ATI closed source driver, as it does _not_ support the X1200 series logic.  So they rely on the Radeon, especially with DRM for decent 2D -- again, not even 3D, but just 2D performance.

- CUSTOMER IMPACT AND FEDORA 15:  

I am not product management (just consulting), and I am only offering this as "useful imformation" (my statements do *NOT* represent any considerations inside of Red Hat).  But given the fact that X1200 series is in the AMD 690 and the 55nm TSMC die-shinks like the 740/760 (among others), it is probably AMD's most fabbed, integrated GPU logic set ever.  As such, I would make sure this is not a continuing issue with Fedora 15.

I.e., I would recommend this issue be addressed and tested with several X1200 netbooks/notebooks during Fedora 15.  Again, the issue (possible regression) may very well be upstream.

REFERENCES:  

[1] Example disablement of DRM, while still using the Xorg Radeon driver, in Fedora 14:  

/boot/grub/grub.conf
  ... nomodeset.radeon=1 ...

/etc/modprobe.conf
  ... blacklist radeon ...

/etc/X11/xorg.conf.d/01-system-setup-video.conf 

  Section "Device"
        Identifier  "Card0"
        VendorName  "ATI Technologies Inc"
        BoardName   "RS690M [Radeon X1200 Series]"
        BusID       "PCI:1:5:0"
        Driver      "radeon"
        Option  "DRI"                   "off"
  EndSection


[2] Gateway LT3103u information attached (gateway_lt3103u_info.tar.gz)
- lspci -v
- dmidecode
- dmesg
- Xorg.0.log (working with DRM disabled)

Comment 18 Bryan J Smith 2011-03-20 22:56:43 UTC
Created attachment 486522 [details]
Info - Gateway LT3103u netbook w/RS690M (X1200 series)

per comment 17

Gateway LT3103u information attached (gateway_lt3103u_info.tar.gz)
- lspci -v
- dmidecode
- dmesg
- Xorg.0.log (working with DRM disabled)

Comment 19 James Hubbard 2011-06-13 03:13:49 UTC
Seeing this bug in Fedora 15.  Will attach screen shot. I was on http://www.cnn.com website when it happened this time.

Comment 20 James Hubbard 2011-06-13 03:16:02 UTC
Created attachment 504349 [details]
F15 Screen Corruption on website.

Screenshot of the corrupted screen.  Smolt Profile link included. 
http://www.smolts.org/client/show/pub_b4d0626a-5542-4592-b63e-a2aca760cbef

Comment 21 Jason 2011-11-13 00:00:03 UTC
This problem still exists in Fedora 16

xorg-x11-drv-ati-6.14.2-2.20110727git8c9266ed2.fc16.x86_64
libdrm-2.4.26-3.fc16.x86_64
kernel-3.1.0-7.fc16.x86_64

Comment 22 Fedora End Of Life 2012-08-07 20:13:34 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.